CREATE TABLE fai_genai_feedback (
    FEEDBACK_ID               NUMBER(18, 0),
    ORCHESTRATION_FLOW_ID     VARCHAR2(800),
    RESPONSE_INDEX            NUMBER(2, 0) ,
    ACTUAL_TEXT               CLOB         ,
    EXECUTION_GROUP_NUMBER    VARCHAR2(800),
    TRACE                     VARCHAR2(800),
    EVENT_TYPE                VARCHAR2(320)    NOT NULL,
    EVENT_PAYLOAD             CLOB         ,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    FEEDBACK_ID               NUMBER(18, 0),
    ORCHESTRATION_FLOW_ID     VARCHAR2(800),
    RESPONSE_INDEX            NUMBER(2, 0) ,
    ACTUAL_TEXT               CLOB         ,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    EXECUTION_GROUP_NUMBER    VARCHAR2(800),
    TRACE                     VARCHAR2(800),
    EVENT_TYPE                VARCHAR2(320)    NOT NULL,
    EVENT_PAYLOAD             CLOB         ,
    CONSTRAINT pk_fai_genai_feedback PRIMARY KEY (FEEDBACK_ID, FEEDBACK_ID)
);
